/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'Muse-For-You-Thin-and-Thick-Icon-Pack\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-arrow-down': '&#xe600;',
		'icon-arrow-left': '&#xe601;',
		'icon-arrow-right': '&#xe602;',
		'icon-arrow-up-base': '&#xe603;',
		'icon-arrow-up': '&#xe604;',
		'icon-badge': '&#xe605;',
		'icon-battery': '&#xe606;',
		'icon-bottle': '&#xe607;',
		'icon-building': '&#xe608;',
		'icon-camera-reel': '&#xe609;',
		'icon-camera': '&#xe60a;',
		'icon-cart': '&#xe60b;',
		'icon-clipboard': '&#xe60c;',
		'icon-clock': '&#xe60d;',
		'icon-credit-card': '&#xe60e;',
		'icon-cup': '&#xe60f;',
		'icon-disc': '&#xe610;',
		'icon-envelope': '&#xe611;',
		'icon-eye': '&#xe612;',
		'icon-flag': '&#xe613;',
		'icon-gear': '&#xe614;',
		'icon-graph': '&#xe615;',
		'icon-headphones': '&#xe616;',
		'icon-heart': '&#xe617;',
		'icon-house': '&#xe618;',
		'icon-imac': '&#xe619;',
		'icon-laptop': '&#xe61a;',
		'icon-lock': '&#xe61b;',
		'icon-magnifier-minus': '&#xe61c;',
		'icon-magnifier-plus': '&#xe61d;',
		'icon-magnifier': '&#xe61e;',
		'icon-map-marker': '&#xe61f;',
		'icon-map': '&#xe620;',
		'icon-megaphone': '&#xe621;',
		'icon-minus-sign': '&#xe622;',
		'icon-mobile-large': '&#xe623;',
		'icon-mobile-phone': '&#xe624;',
		'icon-money-sign': '&#xe625;',
		'icon-paper': '&#xe626;',
		'icon-pencil': '&#xe627;',
		'icon-play-button': '&#xe628;',
		'icon-plug': '&#xe629;',
		'icon-plus-sign': '&#xe62a;',
		'icon-present': '&#xe62b;',
		'icon-projector': '&#xe62c;',
		'icon-shield': '&#xe62d;',
		'icon-shopping-bag': '&#xe62e;',
		'icon-shopping-basket': '&#xe62f;',
		'icon-tablet': '&#xe630;',
		'icon-target': '&#xe631;',
		'icon-trash': '&#xe632;',
		'icon-wallet': '&#xe633;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
